# phpDox - Query\ConnectionManager::parseParams

# Query\ConnectionManager::parseParams

#### Parses params into a dsn and option array

## Signature

`public function parseParams(array|object $rawParams )`

## Parameters

`$rawParams` — object

## Returns

array

## Errors/Exceptions

`BadDBDriverException`

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
196 - 198 | ElseExpression | The method parseParams uses an else expression. Else clauses are basically not necessary and you can simplify the code by not using them.